gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Interfaces.DesktopAppInfoLookup

Contents

- Exported types
- Methods
  - getDefaultForUriScheme

Description

`DesktopAppInfoLookup` is an opaque data structure and can only be accessed using the following functions.

Synopsis

- newtype DesktopAppInfoLookup = DesktopAppInfoLookup (ManagedPtr DesktopAppInfoLookup)
- class (GObject o, IsDescendantOf DesktopAppInfoLookup o) => IsDesktopAppInfoLookup o
- toDesktopAppInfoLookup :: (MonadIO m, IsDesktopAppInfoLookup o) => o -> m DesktopAppInfoLookup
- desktopAppInfoLookupGetDefaultForUriScheme :: (HasCallStack, MonadIO m, IsDesktopAppInfoLookup a) => a -> Text -> m (Maybe AppInfo)

# Exported types

newtype DesktopAppInfoLookup Source #

Deprecated: (Since version 2.28)The `DesktopAppInfoLookup` interface is deprecated and unused by GIO.

Memory-managed wrapper type.

Constructors

DesktopAppInfoLookup (ManagedPtr DesktopAppInfoLookup) | Deprecated: (Since version 2.28)The `DesktopAppInfoLookup` interface is deprecated and unused by GIO.

#### Instances

Instances details

Eq DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup Methods (==) :: DesktopAppInfoLookup -> DesktopAppInfoLookup -> Bool Source # (/=) :: DesktopAppInfoLookup -> DesktopAppInfoLookup -> Bool Source #
GObject DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup
ManagedPtrNewtype DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup Methods toManagedPtr :: DesktopAppInfoLookup -> ManagedPtr DesktopAppInfoLookup Source #
TypedObject DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup Methods glibType :: IO GType Source #
HasParentTypes DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup
IsGValue (Maybe DesktopAppInfoLookup) Source # | Convert `DesktopAppInfoLookup` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DesktopAppInfoLookup -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DesktopAppInfoLookup) Source #
type ParentTypes DesktopAppInfoLookup Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup type ParentTypes DesktopAppInfoLookup = '[Object]

class (GObject o, IsDescendantOf DesktopAppInfoLookup o) => IsDesktopAppInfoLookup o Source #

Type class for types which can be safely cast to `DesktopAppInfoLookup`, for instance with `toDesktopAppInfoLookup`.

#### Instances

Instances details

(GObject o, IsDescendantOf DesktopAppInfoLookup o) => IsDesktopAppInfoLookup o Source # |
Instance details Defined in GI.Gio.Interfaces.DesktopAppInfoLookup

toDesktopAppInfoLookup :: (MonadIO m, IsDesktopAppInfoLookup o) => o -> m DesktopAppInfoLookup Source #

Cast to `DesktopAppInfoLookup`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getDefaultForUriScheme, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## getDefaultForUriScheme

desktopAppInfoLookupGetDefaultForUriScheme Source #

Arguments

:: (HasCallStack, MonadIO m, IsDesktopAppInfoLookup a) |
=> a | `lookup`: a `DesktopAppInfoLookup`
-> Text | `uriScheme`: a string containing a URI scheme.
-> m (Maybe AppInfo) | Returns: `AppInfo` for given `uriScheme` or `NULL` on error.

Deprecated: (Since version 2.28)The `DesktopAppInfoLookup` interface is deprecated and unused by GIO.

Gets the default application for launching applications using this URI scheme for a particular `DesktopAppInfoLookup` implementation.

The `DesktopAppInfoLookup` interface and this function is used to implement [func`gio`.AppInfo.get_default_for_uri_scheme] backends in a GIO module. There is no reason for applications to use it directly. Applications should use [func`gio`.AppInfo.get_default_for_uri_scheme].